
// LoaderInfo3D.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/*  Scéna aplikace Checkers3D s modelem načteným pomocí knihovny Portfolio.
    Model lze zkoumat a různými způsoby upravovat jeho tvar.

    Kompilace pomocí CompileLI.bat:
     javac -classpath %CLASSPATH%;ncsa\portfolio.jar *.java
    v souboru compileLI.bat

   Příklad použití souboru LoaderInfo3D.bat:
     LoaderInfo3D  dolphins.3ds 0

   Změny =======================

   2. listopadu 2004
   show() --> setVisible(true);

*/

import javax.swing.*;
import java.awt.*;


public class LoaderInfo3D extends JFrame
{

  public LoaderInfo3D(String fn, int adaptNo) 
  {
    super("LoaderInfo3D");

    Container c = getContentPane();
    c.setLayout( new BorderLayout() );
    WrapLoaderInfo3D w3d = new WrapLoaderInfo3D(fn, adaptNo);
    c.add(w3d, BorderLayout.CENTER);

    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    pack();
    setResizable(false);    // rozměry okna jsou pevně dány
    // show();
    setVisible(true);
    w3d.requestFocus();
  } // konec metody: LoaderInfo3D()


// -----------------------------------------

  public static void main(String[] args)
  { 
    if (args.length == 2) {
      int adaptNo = 0;
      try 
      { adaptNo = Integer.parseInt( args[1] ); }
      catch(NumberFormatException e)
      { System.out.println("Illegal adaptNo, using 0"); } 

      new LoaderInfo3D("models/" + args[0], adaptNo);   // model je v podadresáři models/
    }
    else
      System.out.println(
       "Použití: java -cp %CLASSPATH%;ncsa\\portfolio.jar LoaderInfo3D  <file> <adaptNo>");
  }

} // konec třídy: LoaderInfo3D

